> For the complete documentation index, see [llms.txt](https://mediamarkup.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mediamarkup.gitbook.io/docs/api/endpoints.md).

# Endpoints

Please find additional documentation here on endpoints that might not be available at <https://api/mediamarkup.com/api-docs>

## CreatePersonalUrl

<mark style="color:green;">`POST`</mark> `https://api.mediamarkup.com/api/v1/Approvals/CreatePersonalUrl`

Creates a secure personal url for the specified userId and approval/comparison id and versions. PersonalUrls are time limited and must be created immediately before redirecting a user.\
\
The PersonalUrl will authenticat the user and redirect them to the annotation tool. If the uesr is not authorized, the authentication url will redirect the user to a login page or the RedirectUrl configured, with the following **redir** url parameters; \
\
NotAuthenticated - User/Tenant/Authenticatiuon token is not valid or authenticated \
\
AuthenticationExpired - if the expiry date within the validation token has expired.\
\
UserLoggedOut - User logged out via the Logout button

#### Request Body

| Name       | Type   | Description                                                                                                                        |
| ---------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------- |
| parameters | object | { "userId": "string", "approvalId": "string", "version": 0, "compareApprovalId": "string", "compareVersion": 0, "observer": true } |

{% tabs %}
{% tab title="200 " %}

```javascript
{  "url": "string",  "hasErrors": true,  "messages": ["string" ]}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://mediamarkup.gitbook.io/docs/api/endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
